View Issue Details

IDProjectCategoryView StatusLast Update
0003157ScribusUser Interfacepublic2016-05-24 14:22
ReporterplinnellAssigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status acknowledgedResolutionopen 
Product Version1.5.0svn 
Target VersionFixed in Version 
Summary0003157: Metabug: Cursor placement fixes
DescriptionIssues with respect cursors (in tabs, columns, alignment etc...)

==PLEASE DON'T ADD ANY COMMENTS TO THIS METABUG==

If you wish to be notified about issues related to cursor placement issues, please click on the "Monitor Issue" button

*These issues were on the roadmap for 1.3.4cvs and now have been lowered in priority in 1.5.0svn
Additional InformationSee the whole list of metabugs: http://wiki.scribus.net/index.php/Metabugs
TagsNo tags attached.
PatchNo

Relationships

related to 0005401 closedjghali Selecting text in story editor copies it to the buffer (like CTRL+C) 
related to 0003633 closedavox text reversed when directly editing linked frames 
related to 0005295 closedavox pasted text is always inserted at the beginning of a text frame 
related to 0003241 closedfschmid pasting jumps to end of text 
related to 0003710 closedavox paragraph gets style from previous paragraph when using backspace to delete empty paragraph 
related to 0002821 closedcbradney Text color not updated if changed for the first letter in a text frame 
related to 0004679 closedcbradney story editor does not use the style assigned to the first paragraph when opened. 
related to 0003255 closed Changed style doesn't persist when typing 
related to 0001294 closedavox Aliging text spanning several paragraphs applies not to those above the cursor. 
related to 0004493 closedjghali double click doesn't enter clockwise rotated text frames 
related to 0004404 acknowledged Creating a new paragraph-style from the actual cursor-position 
related to 0000168 closed single click should place text cursor 
related to 0003487 closedcbradney Crash caused by middle clicking text frame when in frame linking mode. 
related to 0001050 acknowledged Greek Hyphenation 
related to 0003165 closedcbradney Inserting any character over selected text from the Insert menu doesn't overwrite the selection 
related to 0002602 closedfschmid Text selection in the story editor is mighty slow 
related to 0001204 confirmed Drag'n'drop in StoryEditor 
related to 0002031 closedcbradney Editing txt in text frame: CTRL+C copies the whole scribus document 
related to 0001718 closedfschmid Can edit first empty line of text frame 
parent of 0003093 closedcbradney ctrl+cursor right/left should ignore the spaces 
parent of 0003088 closedavox pressing cursor down jumps over the first line with text if text goes beyond one line 
parent of 0000607 closedavox Align=center causes wrong cursor positioning 
parent of 0005730 assignedavox Cursor does not behave correctly in text frame 
parent of 0005431 closedavox crash at editing text frame 
parent of 0005598 closedavox Cursor can't be placed at the end of a paragraph 
parent of 0005091 closedavox pressing enter to create new line leaves cursor in the old line 
parent of 0005347 closedavox Backspace doesn't work between linked text frames 
parent of 0005089 confirmed issue with jumping between lines and moving cursor 
parent of 0004884 closedcbradney Cursor in Story Editor always moves to top when switching window focus 
parent of 0005283 feedback Cursor doesn't follow text outside the frame. 
parent of 0005258 assignedavox Ctrl+End sends the text cursor after the control characters 
parent of 0005237 closedavox Pressing return at the end of a line leaves the cursor on that line 
parent of 0004856 closedavox "Pos 1" and "End" keys don't work in text frames 
parent of 0004857 closedavox Bad cursor placement in text frames 
parent of 0003674 closedavox Impossible to change line with the mouse in a text frame 
parent of 0004053 closedavox Editing text on the canvas results in Crash when the 'up' key is used. 
parent of 0004557 closedavox Moving cursor with arrows in text frame makes it disappear. 
parent of 0004925 closedavox Pressing "End" key doesn't send cursor to end of the line 
parent of 0003198 closedavox Cursor in Story Editor always moves to top when switching window focus 
parent of 0004840 closedavox Story Editor: crash after pressing ctrl+c with no text selected 
parent of 0004695 closedavox Cursor seems to stop blinking when using arrows to go past a tab 
parent of 0004503 closedavox Cursor in the text frame should locate text in Sory Editor when Opened 
parent of 0004263 closedavox First letter problem & last letter cannot be reached. (text cursor bug) 
parent of 0004220 closedavox Cursor positioning at beginning of textframe wrong, chars are inserted in wrong order 
parent of 0002083 closedplinnell inserting any text places the cursor in front of the inserted text although it should be after the inserted text 
parent of 0003016 closedcbradney Canvas mode: Impossible to move textcursor by mouseclick to end of sentence 
parent of 0001391 closedcbradney Double click does not select the word under the cursor 
parent of 0003017 closedcbradney Canvas Mode: SHIFT + mouseclick doesn't work as text selection tool 
parent of 0003013 closedcbradney Canvas mode Text Selection: SHIFT + END selects whole line minus the last character 
parent of 0002944 closedcbradney bad cursor placing in textframes when two columns 
parent of 0002740 closedcbradney Text frames: Impossible to locate the cursor at the end of line 
parent of 0001106 closedcbradney Cursor doesn't follow the text flow from one column to another in multi-column layouts 
parent of 0002816 closedfschmid cursor should be placed at the beginning of the textframe when pressing E to edit to 
parent of 0002771 closedmalex Cursor position is not retained on window switch 
parent of 0002323 closedcbradney Editing text within a frame is sluggish and has cursor issues 
parent of 0001996 closed Crashes when hitting backspace 
parent of 0001953 closedfschmid Cursor positioning with mouse broken at non-100% zoom 
parent of 0001588 closedfschmid wrong EOL with supscripts 
parent of 0001296 closedfschmid End key in right-aligned text is 1 char short 
parent of 0001295 closedcbradney For right-aligned text, caret is at the wrong place 
parent of 0000793 closedfschmid Cursor placed at wrong location when using tabs 
parent of 0001029 closedfschmid Crash with empty text when pressing left cursor key 
parent of 0006207 closedchristoph_s feature request: clicks 
parent of 0005685 closedchristoph_s Uniform approach to selection of text 
parent of 0006778 closedchristoph_s Can`t select with cursor second line of text 
parent of 0003858 new Zoom doesn't recognise cursor placement 
parent of 0011369 closedjghali Scribus doesn't show the search results outside the viewport or outside of linked textframe 
parent of 0012269 new Cursor disappears at EOL with optical margin correction 
parent of 0011665 new View Pan Bug At High Zoom 
parent of 0009735 new Text cursor jumps 
parent of 0013685 new Text Box cursor should obey 'Align Text' by moving to that position BEFORE text input triggers it 
parent of 0013680 closedKunda Vertical Alignment To Bottom Inactivates Text Alignment Buttons 
parent of 0010985 confirmed jump over line when going down in text frame 
parent of 0013156 confirmed Insert carret cant be seen 
parent of 0011750 confirmed Clicking inside currently edited table's cell should move editing place where the click has occured 
related to 0003786 confirmed Document view doesn't follow cursor in text editing mode 
related to 0003811 closedavox Drag-selection of text is incomplete when moving the mouse up and to the left 
Not all the children of this issue are yet resolved or closed.

Activities

cbradney

2006-01-30 21:46

administrator   ~0008508

think we already have a few bugs for this.. and some of its fixed in 1.3.2

mhanski

2006-04-12 22:49

developer   ~0009874

on the roadmap for 1.3.4, changing the status to acknowledged

avox

2006-12-22 20:45

administrator   ~0014176

so what's still missing now?

Issue History

Date Modified Username Field Change
2006-01-30 20:45 plinnell New Issue
2006-01-30 20:45 plinnell Product Version => 1.3.3cvs
2006-01-30 21:46 cbradney Note Added: 0008508
2006-02-03 23:21 jo-hannes Relationship added parent of 0001635
2006-02-03 23:22 jo-hannes Relationship added parent of 0001294
2006-02-03 23:22 jo-hannes Relationship added parent of 0003093
2006-02-03 23:23 jo-hannes Relationship added parent of 0003088
2006-02-03 23:23 jo-hannes Relationship added parent of 0000607
2006-02-03 23:24 jo-hannes Relationship added related to 0002407
2006-02-03 23:25 jo-hannes Relationship added parent of 0002313
2006-02-04 18:11 jo-hannes Summary Cursor placement fixes => Cursor placement fixes per roadmap
2006-03-02 23:56 cbradney Relationship deleted parent of 0002313
2006-03-02 23:56 cbradney Relationship deleted parent of 0001635
2006-03-02 23:57 cbradney Relationship deleted related to 0002407
2006-03-03 00:15 cbradney Relationship deleted parent of 0001294
2006-03-08 13:46 cbradney Category - => User Interface
2006-04-12 22:49 mhanski Note Added: 0009874
2006-04-12 22:49 mhanski Status new => acknowledged
2006-04-13 06:35 jo-hannes Product Version 1.3.3cvs => 1.3.4cvs
2006-05-09 23:12 christoph_s Relationship added related to 0003786
2006-05-12 22:29 christoph_s Relationship added related to 0003811
2006-12-22 20:45 avox Note Added: 0014176
2007-05-23 19:28 christoph_s Summary Cursor placement fixes per roadmap => Metabug: Cursor placement fixes per roadmap
2007-05-23 21:03 christoph_s Relationship added parent of 0005730
2007-05-23 21:03 christoph_s Relationship added parent of 0005431
2007-05-23 21:04 christoph_s Relationship added parent of 0005598
2007-05-23 21:04 christoph_s Relationship added parent of 0005091
2007-05-23 21:05 christoph_s Relationship added related to 0005401
2007-05-23 21:08 christoph_s Relationship added parent of 0005347
2007-05-23 21:08 christoph_s Relationship added related to 0003633
2007-05-23 21:08 christoph_s Relationship added parent of 0005089
2007-05-23 21:08 christoph_s Relationship added parent of 0004884
2007-05-23 21:09 christoph_s Relationship added related to 0005295
2007-05-23 21:09 christoph_s Relationship added parent of 0005283
2007-05-23 21:09 christoph_s Relationship added parent of 0005258
2007-05-23 21:09 christoph_s Relationship added parent of 0005237
2007-05-23 21:10 christoph_s Relationship added parent of 0004856
2007-05-23 21:11 christoph_s Relationship added parent of 0004857
2007-05-23 21:11 christoph_s Relationship added related to 0003241
2007-05-23 21:12 christoph_s Relationship added parent of 0003674
2007-05-23 21:12 christoph_s Relationship added related to 0003710
2007-05-23 21:12 christoph_s Relationship added parent of 0004053
2007-05-23 21:14 christoph_s Relationship added parent of 0004557
2007-05-23 21:14 christoph_s Relationship added parent of 0004925
2007-05-23 21:16 christoph_s Relationship added parent of 0003198
2007-05-23 21:16 christoph_s Relationship added parent of 0004840
2007-05-23 21:16 christoph_s Relationship added parent of 0004695
2007-05-23 21:17 christoph_s Relationship added related to 0002821
2007-05-23 21:18 christoph_s Relationship added related to 0004679
2007-05-23 21:18 christoph_s Relationship added parent of 0004503
2007-05-23 21:18 christoph_s Relationship added related to 0003255
2007-05-23 21:19 christoph_s Relationship added parent of 0004263
2007-05-23 21:19 christoph_s Relationship added parent of 0004220
2007-05-23 21:19 christoph_s Relationship added related to 0001294
2007-05-23 21:20 christoph_s Relationship added related to 0004493
2007-05-23 21:20 christoph_s Relationship added related to 0004404
2007-05-23 21:21 christoph_s Relationship added related to 0002083
2007-05-23 21:21 christoph_s Relationship replaced parent of 0002083
2007-05-23 21:22 christoph_s Relationship added parent of 0003016
2007-05-23 21:22 christoph_s Relationship added related to 0003858
2007-05-23 21:23 christoph_s Relationship added related to 0000168
2007-05-23 21:23 christoph_s Relationship added related to 0003487
2007-05-23 21:24 christoph_s Relationship added related to 0001050
2007-05-23 21:25 christoph_s Relationship added related to 0003165
2007-05-23 21:25 christoph_s Relationship added parent of 0001391
2007-05-23 21:25 christoph_s Relationship added parent of 0003017
2007-05-23 21:25 christoph_s Relationship added parent of 0003013
2007-05-23 21:26 christoph_s Relationship added parent of 0002944
2007-05-23 21:26 christoph_s Relationship added parent of 0002740
2007-05-23 21:26 christoph_s Relationship added parent of 0001106
2007-05-23 21:27 christoph_s Relationship added parent of 0002816
2007-05-23 21:27 christoph_s Relationship added parent of 0002771
2007-05-23 21:28 christoph_s Relationship added related to 0002602
2007-05-23 21:28 christoph_s Relationship added parent of 0002323
2007-05-23 21:28 christoph_s Relationship added related to 0001204
2007-05-23 21:30 christoph_s Relationship added related to 0002031
2007-05-23 21:30 christoph_s Relationship added parent of 0001996
2007-05-23 21:30 christoph_s Relationship added parent of 0001953
2007-05-23 21:31 christoph_s Relationship added parent of 0001588
2007-05-23 21:31 christoph_s Relationship added related to 0001718
2007-05-23 21:31 christoph_s Relationship added parent of 0001296
2007-05-23 21:32 christoph_s Relationship added parent of 0001295
2007-05-23 21:32 christoph_s Relationship added parent of 0000793
2007-05-23 21:32 christoph_s Relationship added parent of 0001029
2007-05-27 00:29 christoph_s Summary Metabug: Cursor placement fixes per roadmap => Metabug: Cursor placement fixes
2008-02-05 22:29 christoph_s Relationship added parent of 0006207
2008-02-05 23:56 christoph_s Relationship added parent of 0005685
2008-02-19 19:50 christoph_s Relationship added parent of 0006778
2014-07-17 01:23 Kunda Relationship deleted related to 0003858
2014-07-17 01:23 Kunda Relationship added parent of 0003858
2014-07-17 01:24 Kunda Relationship added parent of 0011369
2014-07-18 00:26 Kunda Relationship added parent of 0012269
2014-11-20 12:31 Kunda Relationship added parent of 0011665
2014-11-20 12:37 Kunda Patch => No
2014-11-20 12:37 Kunda Product Version 1.3.4cvs => 1.5.0svn
2014-11-20 12:37 Kunda Description Updated View Revisions
2014-11-20 12:37 Kunda Additional Information Updated View Revisions
2016-01-26 01:42 Kunda Relationship added parent of 0009735
2016-01-26 02:00 Kunda Relationship added parent of 0013685
2016-01-26 02:03 Kunda Relationship added parent of 0013680
2016-05-24 14:19 Kunda Relationship added parent of 0010985
2016-05-24 14:20 Kunda Relationship added parent of 0013156
2016-05-24 14:22 Kunda Relationship added parent of 0011750